Subject: Re: [PATCH v2] wrapper: NetBSD gives EFTYPE and FreeBSD gives EMFILE where POSIX uses ELOOP

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 6 May 2025 15:23:56 +0200

On Mon, May 05, 2025 at 06:16:03PM -0700, Collin Funk wrote:
> Hi all,
> 
> Junio C Hamano <[email-masked]> writes:
> 
> >> Nit, to make this a bit easier to read: our style guide says that nested
> >> preprocessor directives should be indented by one spaces. So this would
> >> become:
> >>
> >>     # ifdef __NetBSD__
> >>     #  define SYMLINK_ERRNO EFTYPE
> >>     # elif defined(__FreeBSD__)
> >>     #  define SYMLINK_ERRNO EMLINK
> >>     # endif
> >>
> >> Note that the `ifdef` itself would also be indented because we already
> >> have a surrounding `#ifdef O_NOFOLLOW`.
> >
> > Hmph, it does look easier to read.  I think we used to have some
> > outlier files that indented CPP directives by prefixing spaces in
> > front of the whole line, but these days we standardized to express
> > the indentation by inserting spaces immediately after '#' that
> > always sit at the beginning of line, so what you showed here is a
> > good example to mimic.
> 
> No problem, I sent V3 with the suggested changes. That is actually my
> preferred why of indenting preprocessor directives. But I saw a mix if
> CPP indenting, so I was unsure what was correct. I guess I could have
> looked harder for a style guide, but at least hopefully I followed
> 'SubmittingPatches' mostly correct. :)

Yeah, the rule was only introduced rather recently in 7df3f55b92e
(Documentation: clarify indentation style for C preprocessor directives,
2024-07-30), so we're still wildly inconsistent.

Patrick